## parrot-archive-keyring 2024.12

=== Makefile ===
build: keyrings/parrot-archive-keyring.gpg

keyrings/parrot-archive-keyring.gpg: active-keys/index
	mkdir -p keyrings
	jetring-build -I $@ active-keys

clean:
	rm -rf keyrings

install: build
	install -d $(DESTDIR)/usr/share/keyrings/
	cp keyrings/*.gpg $(DESTDIR)/usr/share/keyrings/

.PHONY: build clean install

=== debian/changelog ===
parrot-archive-keyring (2024.12) lory; urgency=medium

  * Add new 2024-2026 key.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Mon, 09 Dec 2024 12:25:48 +0100

parrot-archive-keyring (2021.7+parrot1) rolling; urgency=medium

  * Update jetring structure.
  * Import new 2021-2024 key for Parrot LTS.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 30 Jul 2021 17:36:56 +0200

parrot-archive-keyring (2020.8+parrot3) rolling; urgency=medium

  * Fix syntax in jetring files.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 07 Aug 2020 20:12:50 +0200

parrot-archive-keyring (2020.8+parrot2) rolling; urgency=medium

  * Bump compat level to 11.
  + Bump standards version to 4.3.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 07 Aug 2020 20:00:11 +0200

parrot-archive-keyring (2020.8+parrot1) rolling; urgency=medium

  * Update keys up to 2022.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 07 Aug 2020 19:46:48 +0200

parrot-archive-keyring (2019.6+parrot2) testing; urgency=medium

  * Make package required.
  * Make package provide devuan keyring.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Wed, 19 Jun 2019 08:21:44 +0200

parrot-archive-keyring (2019.6+parrot1) testing; urgency=medium

  * Import new GPG key for future release.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sun, 09 Jun 2019 03:22:36 +0200

parrot-archive-keyring (2017.7+parrot1) testing; urgency=medium

  * Create missing folders in /etc/apt.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Wed, 05 Jul 2017 01:54:04 +0200

parrot-archive-keyring (2017.7+parrot0) testing; urgency=medium

  * Remove old key and update new one.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Tue, 04 Jul 2017 01:25:10 +0200

parrot-archive-keyring (2017.2+parrot0) testing; urgency=medium

  * Add new Parrot Project GPG key

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Tue, 14 Feb 2017 00:20:06 +0100

parrot-archive-keyring (2016.7+parrot2) testing; urgency=medium

  * Fix udeb postinst

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Mon, 18 Jul 2016 19:41:52 +0200

parrot-archive-keyring (2016.7+parrot1) testing; urgency=medium

  * minor fixes

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Wed, 06 Jul 2016 19:01:42 +0200

parrot-archive-keyring (2016.7+parrot0) testing; urgency=medium

  * Include provides/includes to get over kali-archive-keyring and debian-archive-kayring

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Wed, 06 Jul 2016 18:55:11 +0200

parrot-archive-keyring (2016.5+parrot0) testing; urgency=medium

  * Fix interaction with debian-archive-keyring (i want that fuckin' key here you asshole!)

 -- Lorenzo "Palinuro" Faletra <eclipse@parrotsec.org>  Sun, 15 May 2016 01:34:47 +0200

parrot-archive-keyring (2016.4+parrot0) testing; urgency=medium

  * Debianize parrot keyring
  * Add udeb package for net-retriever

 -- Lorenzo "Palinuro" Faletra <eclipse@frozenbox.org>  Mon, 18 Apr 2016 21:44:54 +0200

=== debian/control ===
Source: parrot-archive-keyring
Priority: required
Section: misc
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@frozenbox.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@frozenbox.org>
Build-Depends: debhelper (>= 11), jetring, gnupg
Standards-Version: 4.3.0

Package: parrot-archive-keyring
Architecture: all
Priority: required
Depends: gpgv, ${misc:Depends}
Recommends: gnupg
Provides: debian-archive-keyring, kali-archive-keyring, devuan-keyring, ubuntu-keyring
Description: Parrot GPG Archive Keyring
 Public keys for the parrot archives digital signature.

Package: parrot-archive-keyring-udeb
Package-Type: udeb
Priority: required
Architecture: all
Section: debian-installer
Depends: ${misc:Depends}
Provides: debian-archive-keyring, kali-archive-keyring, debian-archive-keyring-udeb, kali-archive-keyring-udeb, devuan-keyring-udeb
Recommends: gpgv-udeb
Description: Parrot GPG Archive Keyring
 Public keys for the parrot archives digital signature, in a minimal form for use
 in the installer.
